Comment installer Cinnamon 3.8 sur Linux?

capture d'écran-cannelle

Il y a quelques jours à peine la nouvelle version de l'environnement de bureau Cinnamon est sortie atteindre son version 3.8 de manière stable, avec lequel il nous offre diverses corrections de bogues et quelques nouvelles fonctionnalités dont nous pouvons profiter en l'installant sur notre système.

Pour ceux qui ne connaissent toujours pas la cannelle, je peux vous dire que est un environnement de bureau disponible pour Linux, lequel est un fork du gestionnaire de fenêtres GNOME 3 Mutter, cet environnement a été initialement développé par le projet Linux Mint comme un fork de GNOME Shell.

Parmi les principales caractéristiques que l'on peut trouver dans Cinnamon on trouve:

  • Effets de bureau, y compris des animations et des effets de transition.
  • Un panneau mobile avec menu principal, lanceurs, une liste de fenêtres et la barre d'état système.
  • Diverses extensions importées de GNOME 3.
  • Applets sur le panneau.
  • Activités similaires en fonction à GNOME Shell.
  • Éditeur d'options pour une personnalisation facile. Permet de modifier:
  • Le panel.
  • Calendrier.
  • Des thèmes
  • Papeterie.
  • Applets.
  • Extensions.

L'environnement a annoncé sa disponibilité pour Linux avec lequel nous pouvons installer sa nouvelle version sur notre système, même si elle est initialement prête à être publiée avec la nouvelle version de Linux Mint 19.

Quoi de neuf dans Cinnamon 3.8

Dans cette nouvelle version de Cinnamon nous avons trouvé plusieurs améliorations et nouvelles implémentations parmi lesquels nous pouvons souligner.

À la cannelle 3.8 nous pouvons régler le volume maximum de la sortie audio, car dans les versions précédentes, l'applet et les touches multimédias vous permettaient de régler le volume sonore entre 0 et 100%.

Maintenant, l'utilisateur peut ouvrir les paramètres sonores pour accéder à l'amplification et régler le volume à 150%.

Aussi Xreader a reçu quelques améliorations:

  • Une nouvelle fenêtre de préférences et la possibilité d'ajouter un historique et de développer des boutons dans la barre d'outils.
  • Il est maintenant possible de modifier la taille des vignettes et cette taille est mémorisée pour chaque document.

Une autre des principales caractéristiques qui ressortent de cette nouvelle version est que les composants ont été exportés vers Python 3 Parmi lesquels on peut souligner les configurations Cinnamon, l'éditeur de menu Cinnamon, l'éditeur de bureau, la configuration utilisateur, l'éditeur de commutateurs et d'économiseur d'écran, le blocage des dialogues, les scripts de génération de fichiers de bureau, ainsi que d'autres utilitaires.

Cannelle 3.8

Entre les autres changements que nous avons trouvés sont les suivants:

  • Les liens de script CSJ ont été portés sur SpiderMonkey 52.
  • Le sélecteur d'application ressemble maintenant et agit de la même manière que Alt + Tab.
  • L'option d'heure Internet utilise désormais Systemd pour obtenir la valeur d'heure exacte.
  • Améliorations des notifications: meilleure prise en charge multi-têtes et possibilité d'afficher des notifications sur le bord inférieur de l'écran.
  • L'action "Fermer LID" peut être configurée pour un arrêt instantané des ordinateurs portables.
  • Il est possible de charger des extensions à partir du lecteur local.
  • L'applet «Afficher le bureau» a une nouvelle entrée dans le menu contextuel, qui vous permet de garder vos bureaux visibles lorsque vous réduisez toutes les fenêtres.
  • gksu n'est plus utilisé pour les opérations surélevées.
  • Enfin, le gestionnaire de fenêtres, Muffin, a été optimisé pour ouvrir et organiser les fenêtres dix fois plus rapidement.

Comment installer Cinnamon 3.8 sur Linux?

Si vous souhaitez installer cet environnement de bureau sur votre système, nous avons la possibilité de la plupart des distributions Linux l'ont inclus dans leurs référentiels officiels, bien que certains n'aient pas encore mis à jour vers la nouvelle version.

Dans le cas d'Ubuntu et de ses dérivés

Je ne peux que souligner que si vous utilisez Ubuntu 18.04 et souhaitez installer Cinnamon 3.8 le référentiel de version stable ne prend pas encore en charge la version 18.04, donc vous devrez utiliser l'une des versions de développement.

Pour ce faire, il suffit d'exécuter la commande suivante:

sudo add-apt-repository ppa:gwendal-lebihan-dev/cinnamon-nightly

sudo apt install cinnamon

Dans le cas d'Arch Linux et de ses dérivés, l'environnement est déjà disponible nous installons uniquement avec:

sudo pacman -S cinnamon-desktop

Pour le cas de Fedora, CentOS, openSUSE et dérivés, personnellement je ne l'ai pas acheté s'il est déjà trouvé, mais la commande pour l'installer est:

dnf groupinstall -y "Cinnamon Desktop"

Sans plus, il ne reste plus qu'à profiter de cet environnement de bureau et de ses nouvelles fonctionnalités.


Le contenu de l'article adhère à nos principes de éthique éditoriale. Pour signaler une erreur, cliquez sur c'est par ici !.

Un commentaire, laissez le vôtre

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée.

*

*

  1. Responsable des données : AB Internet Networks 2008 SL
  2. Finalité des données: Contrôle du SPAM, gestion des commentaires.
  3. Légitimation: votre consentement
  4. Communication des données: Les données ne seront pas communiquées à des tiers sauf obligation légale.
  5. Stockage des données: base de données hébergée par Occentus Networks (EU)
  6. Droits: à tout moment, vous pouvez limiter, récupérer et supprimer vos informations.

  1.   Fileur dit

    J'obtiens ceci quand je lance "sudo apt install cinnamon":
    Lecture de la liste des paquets ... Terminé
    Créer une arborescence de dépendances
    Lecture des informations d'état ... Terminé
    Ne peut pas installer un pack. Cela peut signifier que
    vous avez demandé une situation impossible ou, si vous utilisez la distribution
    instable, que certains packages requis n'ont pas encore été créés ou sont
    Ils ont pris de "Incoming".
    Les informations suivantes peuvent aider à résoudre la situation:

    Les packages suivants ont des dépendances non satisfaites:
    cannelle: dépend de: libcjs0f (> = 4.6.0-unstable) mais 4.6.0-202005121246 ~ ubuntu18.04.1 va être installé
    E: Les problèmes n'ont pas pu être corrigés, vous avez conservé des paquets cassés.